# Class FileTransferPart

#### Hierarchy

- unknown
  - FileTransferPart

- Defined in src/protobuf/pb_pb.d.ts:427
- Defined in src/protobuf/pb_pb.d.ts:458

#####
Index

### Constructors

constructor

### Methods

clearSenderNodeAddress
getMessageData
getMessageData_asB64
getMessageData_asU8
getSenderNodeAddress
getSeqNumOrFileLength
getTradeId
getTraderId
getUid
hasSenderNodeAddress
serializeBinary
setMessageData
setSenderNodeAddress
setSeqNumOrFileLength
setTradeId
setTraderId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new FileTransferPart(): FileTransferPart

- #### Returns FileTransferPart

  Inherited from jspb.Message.constructor

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): FileTransferPart

- #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:431

### getMessageData

- getMessageData(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:445

### getMessageData_asB64

- getMessageData_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:447

### getMessageData_asU8

- getMessageData_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:446

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:428

### getSeqNumOrFileLength

- getSeqNumOrFileLength(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:442

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:436

### getTraderId

- getTraderId(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:439

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:433

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:430

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:450

### setMessageData

- setMessageData(value: string | Uint8Array): FileTransferPart

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:448

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): FileTransferPart

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:429

### setSeqNumOrFileLength

- setSeqNumOrFileLength(value: number): FileTransferPart

- #### Parameters

  - ##### value: number

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:443

### setTradeId

- setTradeId(value: string): FileTransferPart

- #### Parameters

  - ##### value: string

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:437

### setTraderId

- setTraderId(value: number): FileTransferPart

- #### Parameters

  - ##### value: number

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:440

### setUid

- setUid(value: string): FileTransferPart

- #### Parameters

  - ##### value: string

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:434

### toObject

- toObject(includeInstance?: boolean): FileTransferPart.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns FileTransferPart.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:451

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): FileTransferPart

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:454

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: FileTransferPart, reader: BinaryReader): FileTransferPart

- #### Parameters

  - ##### message: FileTransferPart

  - ##### reader: BinaryReader

  #### Returns FileTransferPart

  - Defined in src/protobuf/pb_pb.d.ts:455

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: FileTransferPart, writer: BinaryWriter): void

- #### Parameters

  - ##### message: FileTransferPart

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:453

### `Static` toObject

- toObject(includeInstance: boolean, msg: FileTransferPart): FileTransferPart.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: FileTransferPart

  #### Returns FileTransferPart.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:452

Generated using TypeDoc